<!-- Thông báo lỗi -->
<?php MyHelper::loadView('backend/cms_partials/error_message_view') ?>
<div class="row">
    <!-- Tìm kiếm theo tên bài hát -->
    <div class="col-lg-2">
        <input class="form-control" type="text" name="input-name" id="input-name" placeholder="Nhập #ID, tên bài hát..." />
    </div>
    <!-- Lọc theo nguồn cung cấp nhạc -->
    <div class="col-lg-2">
        <select class="form-control" name="fBySource" id="fBySource">
            <option value="">- Tất cả nguồn -</option>
            <option value="ZING">Nguồn Zing</option>
            <option value="NCT">Nguồn NCT</option>
            <option value="KEENG">Nguồn Keeng</option>
        </select>
    </div>
    <!-- Lọc theo thông tin ca sĩ -->
    <div class="col-lg-2">
        <select class="form-control" name="fBySinger" id="fBySinger">
            <option value="-1">- Thông tin ca sĩ -</option>
            <option value="1">Đã cập nhật</option>
            <option value="2">Chưa cập nhật</option>
        </select>
    </div>
    <!-- Lọc theo thông tin nhạc sĩ -->
    <div class="col-lg-2">
        <select class="form-control" name="fByComposer" id="fByComposer">
            <option value="-1">- Thông tin nhạc sĩ -</option>
            <option value="1">Đã cập nhật</option>
            <option value="2">Chưa cập nhật</option>
        </select>
    </div>
    <div class="col-lg-2">
        <select class="form-control" name="fByBlacklist" id="fByBlacklist">
            <option value="-1">- Chặn lượt nghe -</option>
            <option value="1">Đã chặn</option>
        </select>
    </div>
    <div class="col-lg-2">
        <select class="form-control" name="fByRemoveRanking" id="fByRemoveRanking">
            <option value="-1">- Bỏ khỏi BXH -</option>
            <option value="1">Đã bỏ BXH</option>
        </select>
    </div>
    <!-- Xóa bộ lọc -->
    <!--<div class="col-lg-1">
        <button class="btn btn-sm btn-default" id="delete-filter">Xóa bộ lọc</button>
    </div>-->
    <!-- Thêm mới bài hát -->
    <!--<div class="col-lg-1" style="float:right;">
        <a class="btn btn-sm btn-success" href="<?php /*echo base_url('backend/cmsTrack/addTrack');*/?>">
            <i class="glyphicon-plus"></i> Thêm</a>
    </div>-->
</div>
<!-- /.row -->
<div class="space-6"></div>
<div class="row">
    <div style="text-align: center" id="data-loading">
        <i class="fa fa-refresh fa-spin bigger-200"></i> Đang tải dữ liệu...
    </div>
    <div class="col-lg-12">
        <div id="div-response"></div>
    </div>
</div>

<script type="text/javascript">
$(document).ready(function() {
    var url = '<?php echo base_url("backend/cmsTrack/listTrack6MonthAjax"); ?>';

    // Tìm kiếm theo cú pháp
    var oldTimeout2 = '';
    $('#input-name').keyup(function() {
        clearTimeout(oldTimeout2);
        oldTimeout2 = setTimeout(function() {
            loadDataByAjaxFromInput(url);
        }, 250);
    });

    loadDataByAjaxFromSelectBox('fBySource', url);
    loadDataByAjaxFromSelectBox('fBySinger', url);
    loadDataByAjaxFromSelectBox('fByComposer', url);
    loadDataByAjaxFromSelectBox('fByBlacklist', url);
    loadDataByAjaxFromSelectBox('fByRemoveRanking', url);

    // Xóa bộ lọc
    $('#delete-filter').click(function() {
        $("#input-name").val('');
        $("#fBySinger").val('-1');
        $("#fByComposer").val('-1');
        $("#fByBlacklist").val('-1');
        $("#fByRemoveRanking").val('-1');
        changePagination('0');
        return false;

    });

    changePagination('0');

});

//Ham chung cho cac input
function loadDataByAjaxFromInput(url) {
    $('#data-loading').show();
    callAjax(0, url);
}

//Ham chung cho cac SelectBox
function loadDataByAjaxFromSelectBox(id, url) {
    $('#' + id).change(function() {
        $('#data-loading').show();
        callAjax(0, url);
    });
}

function loadDataByAjaxDateRange(dtFrom, dtTo, url) {
    $('#data-loading').show();
    callAjax(pageId, url);
}

function changePagination(pageId) {
    $('#data-loading').show();
    var url = '<?php echo base_url("backend/cmsTrack/listTrack6MonthAjax"); ?>';
    callAjax(pageId, url);
}

function callAjax(pageId, url) {
    var csrf_value = '<?php echo $this->security->get_csrf_hash(); ?>';
    var fByName = $("#input-name").val();
    var fBySource = $("#fBySource").val();
    var fBySinger = $("#fBySinger").val();
    var fByComposer = $("#fByComposer").val();
    var fByBlacklist = $("#fByBlacklist").val();
    var fByRemoveRanking = $("#fByRemoveRanking").val();
    var dataReq = {
        csrf_name: csrf_value,
        fByName: fByName,
        fBySource: fBySource,
        fBySinger: fBySinger,
        fByComposer: fByComposer,
        fByBlacklist: fByBlacklist,
        fByRemoveRanking: fByRemoveRanking,
        pageId: pageId
    };
    //Ajax
    $.ajax({
        type: "POST",
        url: url,
        data: dataReq,
        dataType: "text",
        cache: false,
        success: function(data) {
            $('#div-response').html(data);
            $('#data-loading').hide();
        }
    });
}

function updateBlacklistMore6MonthsByAjax(track_id, title, src) {
    $('#data-loading').show();

    var selected = 0;
    if ($('#chk_' + track_id).is(":checked")) {
        selected = 1;
    } else {
        selected = 0;
    }

    var csrf_value = '<?php echo $this->security->get_csrf_hash(); ?>';
    var url = '<?php echo base_url("backend/cmsTrack/updateBlacklistByAjax"); ?>';
    var dataReq = {
        csrf_name: csrf_value,
        track_id: track_id,
        title: title,
        src: src,
        selected: selected
    };
    //Ajax
    $.ajax({
        type: "POST",
        url: url,
        data: dataReq,
        dataType: "JSON",
        cache: false,
        success: function(data) {
            $('#data-loading').hide();
            location.reload();
        },
        error: function (jqXHR, textStatus, errorThrown) {
            $('#data-loading').hide();
        }
    });
}

</script>